List card events
curl --request GET \
--url https://api.platnova.com/v1/cards/{card_id}/events \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.platnova.com/v1/cards/{card_id}/events"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.platnova.com/v1/cards/{card_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"data": {
"items": [
{
"event_id": "UTR_3jtbBJC7lPJmYfcJXEWfaN2Sk1t57T",
"amount": "525",
"merchant_name": "Platnova",
"created_at": "2025-07-22T15:45:28.223603+01:00",
"description": "Platnova | Card withdr...",
"type": "withdraw_card",
"currency": "ngn",
"status": "processing",
"meta": {}
},
{
"event_id": "UTR_zPV3SCUoo66yeH4syVxLdac7CqAvff",
"amount": "4",
"merchant_name": "Platnova",
"created_at": "2025-07-22T14:29:03.940373+01:00",
"description": "Platnova | Card creati...",
"type": "create_card",
"currency": "ngn",
"status": "success",
"meta": {}
}
],
"page": 0,
"size": 10,
"max_page": 0,
"total_pages": 1,
"total": 2,
"last": true,
"first": true,
"visible": 2
},
"error": [],
"message": "operation was successful"
}{
"status": false,
"data": {},
"error": [],
"message": "card not found"
}Cards
Get Card Events
Retrieve transaction and event history for a card.
GET
/
v1
/
cards
/
{card_id}
/
events
List card events
Overview
Retrieve a paginated list of all events (transactions, deposits, withdrawals, etc.) associated with a specific card. This endpoint provides a complete history of card activity.Authorizations
API key for authentication.
Path Parameters
unique id of a card
⌘I

